package su.a71.new_soviet.datagen;
// === ABANDON HOPE, YE WHO ENTER HERE ===

import net.fabricmc.fabric.api.datagen.v1.FabricDataOutput;
import net.fabricmc.fabric.api.datagen.v1.provider.FabricTagProvider;
import net.minecraft.registry.RegistryWrapper;

import net.minecraft.registry.tag.ItemTags;
import su.a71.new_soviet.registration.NSE_Items;
import su.a71.new_soviet.registration.NSE_Tags;
import java.util.concurrent.CompletableFuture;


public class ItemTagGenerator extends FabricTagProvider.ItemTagProvider {

    public ItemTagGenerator(FabricDataOutput output, CompletableFuture<RegistryWrapper.WrapperLookup> completableFuture) {
        super(output, completableFuture);
    }

    @Override
    protected void configure(RegistryWrapper.WrapperLookup arg) {
        getOrCreateTagBuilder(NSE_Tags.Items.DICE)
                .add(NSE_Items.DICE_D4)
                .add(NSE_Items.DICE_D6)
                .add(NSE_Items.DICE_D20);

        getOrCreateTagBuilder(ItemTags.MUSIC_DISCS)
                .add(NSE_Items.MUSIC_DISC_USSR_ANTHEM);
    }
}