package su.a71.new_soviet.registration;

import net.minecraft.sound.BlockSoundGroup;
import net.minecraft.sound.SoundEvent;
import net.minecraft.util.Identifier;
import su.a71.new_soviet.NewSoviet;

public class NSE_Sounds extends NSE_BaseRegistration {
    public static SoundEvent DICE_SOUND = registerSoundEvent("dice_sound");

    public static SoundEvent W_MACHINE_BUTTON_PRESS = registerSoundEvent("w_machine_button_press_sound");

    public static SoundEvent SCREWDRIVER_SOUND = registerSoundEvent("screwdriver_sound");

    public static SoundEvent PARQUET_STEP = registerSoundEvent("parquet_step");

    public static SoundEvent MEAT_STEP = registerSoundEvent("meat_step");

    public static SoundEvent MEAT_BREAK = registerSoundEvent("meat_break");

    public static SoundEvent MEAT_PLACE = registerSoundEvent("meat_place");

    public static final BlockSoundGroup PARQUET_SOUNDS = new BlockSoundGroup(1f, 1f,
            BlockSoundGroup.CHERRY_WOOD.getBreakSound(), NSE_Sounds.PARQUET_STEP, BlockSoundGroup.CHERRY_WOOD.getPlaceSound(),
            BlockSoundGroup.CHERRY_WOOD.getHitSound(), NSE_Sounds.PARQUET_STEP);

    public static final BlockSoundGroup GOO_SOUNDS = new BlockSoundGroup(1f, 1f,
            BlockSoundGroup.MUD.getBreakSound(), NSE_Sounds.MEAT_STEP, BlockSoundGroup.MUD.getPlaceSound(),
            BlockSoundGroup.MUD.getHitSound(), NSE_Sounds.MEAT_STEP);

    public static final BlockSoundGroup MEAT_SOUNDS = new BlockSoundGroup(1f, 1f,
            NSE_Sounds.MEAT_BREAK, NSE_Sounds.MEAT_STEP, NSE_Sounds.MEAT_PLACE,
            BlockSoundGroup.MUD.getHitSound(), NSE_Sounds.MEAT_STEP);

    public static SoundEvent SWITCH_PRESS = registerSoundEvent("switch_press");

    public static final BlockSoundGroup SAND_TILES_SOUNDS = new BlockSoundGroup(1f, 0.8f,
            BlockSoundGroup.MUD_BRICKS.getBreakSound(), BlockSoundGroup.DECORATED_POT.getStepSound(), BlockSoundGroup.MUD_BRICKS.getPlaceSound(),
            BlockSoundGroup.MUD_BRICKS.getHitSound(), BlockSoundGroup.DECORATED_POT.getStepSound());

    public static final BlockSoundGroup WALLPAPER_BLOCK_SOUNDS = new BlockSoundGroup(1f, 0.7f,
            BlockSoundGroup.BAMBOO_WOOD.getBreakSound(), BlockSoundGroup.WOOL.getStepSound(), BlockSoundGroup.BAMBOO_WOOD.getPlaceSound(),
            BlockSoundGroup.WOOL.getHitSound(), BlockSoundGroup.WOOL.getStepSound());

    public static SoundEvent ITEM_RAKE_TILL = registerSoundEvent("item_rake_till");

    public static SoundEvent SMOKING = registerSoundEvent("smoking");
    public static SoundEvent CIGARETTE_RESTART = registerSoundEvent("cigarette_restart");
    public static SoundEvent CIGARETTE_RANDOM = registerSoundEvent("cigarette_random");
    public static SoundEvent CIGARETTE_STOPPED = registerSoundEvent("cigarette_stopped");
    public static SoundEvent CIGARETTE_START = registerSoundEvent("cigarette_start");
    public static SoundEvent CIGARETTE_PAUSE = registerSoundEvent("cigarette_pause");

    public static final SoundEvent SIREN_SOUND = registerSoundEvent("siren_sound");
    public static final SoundEvent BELL_SIREN_SOUND = registerSoundEvent("bell_siren_sound");
    public static final SoundEvent WOOP_SIREN_SOUND = registerSoundEvent("woop_siren_sound");
    public static final SoundEvent KUPLINOV_SIREN_SOUND = registerSoundEvent("kuplinov_siren_sound");
    public static final SoundEvent CLOISTER_SIREN_SOUND = registerSoundEvent("cloister_siren_sound");

    public static final SoundEvent ELECTRIC_HIT = SoundEvent.of(new Identifier(NewSoviet.MOD_ID, "electric_hit"));

    public static final SoundEvent LIGHT_BULB_BROKEN_SOUND = registerSoundEvent("light_bulb_broken_sound");

    public static final SoundEvent TV_ON_SOUND = registerSoundEvent("tv_on_sound");
    public static final SoundEvent TV_OFF_SOUND = registerSoundEvent("tv_off_sound");
    public static final SoundEvent TV_BREAK_SOUND = registerSoundEvent("tv_break_sound");

    public static final SoundEvent MUSIC_USSR_ANTHEM = registerSoundEvent("ussr_anthem");
}